image: python:3.8

stages:
  - generate
  - deploy

generate:
  stage: generate
  script:
    - pip install pipenv
    - pipenv install --dev --deploy
    - pipenv run jupyter nbconvert --to=html --output-dir=dist --output=index carto_dpe.ipynb
  artifacts:
    paths:
      - dist
  only:
    refs:
      - master

pages:
  stage: deploy
  script:
    - cp -R dist public
  artifacts:
    paths:
      - public/
  only:
    refs:
      - master
